#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.identitas_title'}
#{/set}

<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'rekanan.home'}</a></li>
    <li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /}
<div class="content">
#{alert /}
#{form @rekanan.RekananCtr.identitasSubmit(), method:'POST'}
    <div class="row">
        <div class="col-md-6">
            <div class="form-group row">
                <label class="col-md-4 col-form-label">ID Penyedia</label>
                <div class="col-md-8">
                    <p class="form-control-static">${rekanan?.rkn_id}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">Bentuk Usaha</label>
                <div class="col-md-8"><p class="form-control-static">${rekanan?.bentuk_usaha?.label}</p></div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">User ID</label>
                <div class="col-md-8">
                    <p class="form-control-static">${rekanan?.rkn_namauser}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">Nama Perusahaan</label>
                <div class="col-md-8">
                    <p class="form-control-static">${rekanan.rkn_nama}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">Alamat</label>
                <div class="col-md-8">
                    <p class="form-control-static">${rekanan.rkn_alamat}</p>
                </div>
            </div>
            <input type="hidden" name="rekanan.btu_id" value="${rekanan.btu_id}">
            #{if rekanan.perusahaanAsing}
                <div class="form-group row" id="fieldNegara">
                    <label class="col-4 col-form-label">Kota <span class="warning">*</span></label>
                    <div class="col-7">
                        <input type="text" name="rekanan.kota" value="${rekanan.kota}" class="form-control #{validate 'rekanan.kota'/}">
                        <div class="invalid-feedback">#{error 'rekanan.kota' /}</div>
                    </div>
                    <label class="col-4 col-form-label">Negara <span class="warning">*</span></label>
                    <div class="col-7">
                        <select id="negara" name="rekanan.ngr_id" class="form-control selectpicker #{validate 'rekanan.ngr_id'/}" data-live-search="true" data-width="auto" title="Pilih Negara">
                        </select>
                        <div class="invalid-feedback">#{error 'rekanan.ngr_id' /}</div>
                    </div>
                </div>
            #{/if}
            #{else}
            <div class="form-group row">
                <label class="col-md-4 col-form-label">Kode Pos</label>
                <div class="col-md-8">
                    <input type="number" size="5" name="rekanan.rkn_kodepos" maxlength="5" value="${rekanan?.rkn_kodepos}" class="form-control #{validate 'rekanan.rkn_kodepos'/}">
                    <div class="invalid-feedback">#{error 'rekanan.rkn_kodepos' /}</div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">Provinsi <span class="warning">*</span></label>
                <div class="col-md-8">
                    #{selectPropinsi 'propinsi', value:rekanan?.kabupaten?.prp_id /}
                    <div class="invalid-feedback">#{error 'propinsi' /}</div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">Kabupaten/Kota <span class="warning">*</span></label>
                <div class="col-md-8">
                    #{selectKabupaten 'rekanan.kbp_id', value:rekanan?.kbp_id, propinsiId:rekanan?.kabupaten?.prp_id /}
                    <div class="invalid-feedback">#{error 'rekanan.kbp_id' /}</div>
                </div>
            </div>
            #{/else}
        </div>

        <div class="col-md-6">
            <div class="form-group row">
                <label class="col-md-4 col-form-label">NPWP</label>
                <div class="col-md-8">
                    <p class="form-control-static">${rekanan.rkn_npwp}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">Email</label>
                <div class="col-md-8">
                    <p class="form-control-static">${rekanan.rkn_email}</p>
                </div>
            </div>
            #{if rekanan.perusahaanAsing}#{/if}
            #{else}
            <div class="form-group row">
                <label class="col-md-4 col-form-label">No. PKP</label>
                <div class="col-md-8">
                    <input type="text" size="40" maxlength="80" name="rekanan.rkn_pkp" value="${rekanan?.rkn_pkp}" class="form-control">
                </div>
            </div>
            #{/else}
            <div class="form-group row">
                <label class="col-md-4 col-form-label">No. Telepon <span class="warning">*</span></label>
                <div class="col-md-8 ">
                    <input type="text" size="20" maxlength="20" name="rekanan.rkn_telepon" value="${rekanan?.rkn_telepon}" class="form-control #{validate 'rekanan.rkn_telepon'/}">
                    <div class="invalid-feedback">#{error 'rekanan.rkn_telepon' /}</div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">No. Fax</label>
                <div class="col-md-8 ">
                    <input type="text" size="20" name="rekanan.rkn_fax" maxlength=20 value="${rekanan?.rkn_fax}" class="form-control #{validate 'rekanan.rkn_fax'/}">
                    <div class="invalid-feedback">#{error 'rekanan.rkn_fax' /}</div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">No. Handphone</label>
                <div class="col-md-8 ">
                    <input type="number" size="20" maxlength="20" name="rekanan.rkn_mobile_phone" value="${rekanan?.rkn_mobile_phone}" class="form-control #{validate 'rekanan.rkn_mobile_phone'/}">
                    <div class="invalid-feedback">#{error 'rekanan.rkn_mobile_phone' /}</div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label">Website</label>
                <div class="col-md-8 ">
                    <input type="text" size="30" maxlength="40" name="rekanan.rkn_website" value="${rekanan?.rkn_website}" class="form-control #{validate 'rekanan.rkn_website'/}" placeholder=" contoh : http://abcd.com">
                    <div class="invalid-feedback">#{error 'rekanan.rkn_website' /} </div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">Kantor Cabang?</label>
                <div class="col-8">
                    <div class="form-check form-check-inline">
                        <input type="radio" class="form-check-input" name="rekanan.rkn_statcabang" value="P"
                               onClick="$('#pusat').hide();" #{if rekanan.rkn_statcabang=='P' || flash["rekanan.rkn_statcabang"]=='P'} checked #{/if}>
                        <label class="form-check-label">Tidak</label>
                    </div>
                    <div class="form-check form-check-inline">
                        <input type="radio" class="form-check-input" name="rekanan.rkn_statcabang" value="C"
                               onClick="$('#pusat').show();" #{if rekanan.rkn_statcabang=='C'  || flash["rekanan.rkn_statcabang"]=='C'} checked #{/if}>
                        <label class="form-check-label">Ya</label>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="pusat" #{if rekanan.rkn_statcabang=='P'} style="display:none" #{/if}>
        <p class="bs-callout bs-callout-warning">Jika Kantor Anda adalah Kantor Cabang, isikan informasi tentang Kantor Pusat Anda pada isian di bawah ini:</p>
        <div class="form-group row">
            <label class="col-md-2 col-form-label">Kantor Pusat</label>
        </div>
        <div class="form-group row">
            <label class="col-md-2 col-form-label">Alamat</label>
            <div class="col-md-10 ">
                <textarea size="40" maxlength="80" name="rekanan.rkn_almtpusat"
                          class="form-control #{validate 'rekanan.rkn_almtpusat'/}">${rekanan?.rkn_almtpusat}</textarea>
                <div class="invalid-feedback">#{error 'rekanan.rkn_almtpusat' /}</div>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-md-2 col-form-label">Email</label>
            <div class="col-md-10 ">
                <input type="text" maxlength="40" name="rekanan.rkn_emailpusat" value="${rekanan?.rkn_emailpusat}"
                       class="form-control #{validate 'rekanan.rkn_emailpusat'/}">
                <div class="invalid-feedback">#{error 'rekanan.rkn_emailpusat' /}</div>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-md-2 col-form-label">No. Telepon</label>
            <div class="col-md-4 ">
                <input type="number" maxlength="20" name="rekanan.rkn_telppusat" value="${rekanan?.rkn_telppusat}"
                       class="form-control #{validate 'rekanan.rkn_telppusat'/}">
                <div class="invalid-feedback">#{error 'rekanan.rkn_telppusat' /}</div>
            </div>
            <label class="col-md-2 col-form-label">No. Fax</label>
            <div class="col-md-4 ">
                <input type="number" maxlength="20" name="rekanan.rkn_faxpusat" value="${rekanan?.rkn_faxpusat}"
                       class="form-control #{validate 'rekanan.rkn_faxpusat'/}">
                <div class="invalid-feedback">#{error 'rekanan.rkn_faxpusat' /}</div>
            </div>
        </div>
    </div>

        <div class="form-group row">
            <div class="col-lg-offset-2 col-lg-5">
                #{saveButton /}
            </div>
        </div>
#{/form }
#{if rekananEdit != null}
    <div class="bs-callout bs-callout-danger">
        &{'rekanan.data_perubahan_belum_verif'}
        <span class="space"></span>
        <button type="button" class="btn btn-secondary " data-toggle="modal" data-target="#editedData">
            Lihat
        </button>
    </div>
#{/if}
    <div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> Data ini wajib diisi.<br/>
        <!-- <span class="warning">**</span> Email wajib diisi dengan benar. Email tidak diinput oleh Penyedia, sehingga labelnya dihilangkan-->
    </div>
</div>

#{if rekananEdit != null}
<div class="modal fade" id="editedData" tabindex="-1" role="dialog" aria-labelledby="editedDataTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span><span class="sr-only">&{'rekanan.tutup'}</span>
                </button>
                <h5 class="modal-title" id="editedDataTitle">&{'rekanan.data_perubahan'}</h5>
            </div>
            <div class="modal-body">
            #{if rekanan.perusahaanAsing}
                <div class="row">
                    <label class="col-md-2">&{'rekanan.kota_aja'}</label>
                    <div class="col-md-4">${rekananEdit.kota}</div>

                    <label class="col-md-2">&{'rekanan.fak'}</label>
                    <div class="col-md-4">${rekananEdit?.rkn_fax}</div>
                </div>

                <div class="row">
                    <label class="col-md-2">&{'rekanan.negara'}</label>
                    <div class="col-md-4">${rekananEdit?.negara?.nama}</div>

                    <label class="col-md-2">&{'rekanan.hp'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_mobile_phone}</div>
                </div>

                <div class="row">
                    <label class="col-md-2">&{'rekanan.telepon'}</label>
                    <div class="col-md-4">${rekananEdit?.rkn_telepon}</div>

                    <label class="col-md-2">&{'rekanan.website'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_website}</div>
                </div>
            #{/if}
            #{else}
                <div class="row">
                    <label class="col-md-2">&{'rekanan.kode_pos'}s</label>
                    <div class="col-md-4">${rekananEdit.rkn_kodepos}</div>

                    <label class="col-md-2">&{'rekanan.telepon'}</label>
                    <div class="col-md-4">${rekananEdit?.rkn_telepon}</div>
                </div>

                <div class="row">
                    <label class="col-md-2">&{'rekanan.provinsi'}</label>
                    <div class="col-md-4">${rekananEdit?.kabupaten?.propinsi?.prp_nama}</div>

                    <label class="col-md-2">&{'rekanan.fak'}</label>
                    <div class="col-md-4">${rekananEdit?.rkn_fax}</div>
                </div>

                <div class="row">
                    <label class="col-md-2">&{'rekanan.kota'}</label>
                    <div class="col-md-4">${rekananEdit?.kabupaten?.kbp_nama}</div>

                    <label class="col-md-2">&{'rekanan.hp'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_mobile_phone}</div>
                </div>

                <div class="row">
                    <label class="col-md-2">&{'rekanan.no_pkp'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_pkp}</div>

                    <label class="col-md-2">&{'rekanan.website'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_website}</div>
                </div>
            #{/else}

                <div class="row">
                    <label class="col-md-2">&{'rekanan.kantor_cabang'}</label>
                    <div class="col-md-4">
                        #{if rekananEdit.rkn_statcabang == "P"}&{'rekanan.tidak'}#{/if} #{else} &{'rekanan.ya'} #{/else}
                       </div>
                </div>

                #{if rekananEdit.rkn_statcabang == "C"}
                    <br>
                    <div class="row">
                        <label class="col-md-2">&{'rekanan.kantor_pusat'}</label>
                    </div>
                    <div class="row">
                        <label class="col-md-2">&{'rekanan.alamat'}</label>
                        <div class="col-md-4">${rekananEdit.rkn_almtpusat}</div>
                    </div>
                    <div class="row">
                        <label class="col-md-2">&{'rekanan.email'}</label>
                        <div class="col-md-4">${rekananEdit.rkn_emailpusat}</div>
                    </div>
                    <div class="row">
                        <label class="col-md-2">&{'rekanan.telepon'}</label>
                        <div class="col-md-4">${rekananEdit.rkn_telppusat}</div>
                    </div>
                    <div class="row">
                         <label class="col-md-2">&{'rekanan.fak'}</label>
                         <div class="col-md-4">${rekananEdit.rkn_faxpusat}</div>
                    </div>
                #{/if}
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                <a href="@{rekanan.RekananCtr.identitasBatal()}" class="btn btn-danger ">Batalkan</a> <br/>
            </div>
        </div>
    </div>
</div>
#{/if}

#{set 'custom_script'}
<script type="text/javascript">
    var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
    var negaraUrl = #{jsRoute @JSONCtr.daftar_negara() /};
    $(document).on('change', '#propinsi', function () {
        var id = $(this).val();
        $.getJSON(kabUrl.url({id: id}), function (data) {
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            $('#kabupaten').html(options);
            $('#kabupaten').selectpicker('refresh');
        })
    })

    $("#toggleEditData").on('click', function() {
        $("#editedData").toggle();
        $("#toggleEditData").html($('#editedData').is(':visible') ? "Tutup" : "Lihat");
    });

    $.getJSON(negaraUrl.url(), function(data){
        var options = '';
        for (var i = 0; i < data.length; i++) {
            options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
        }
        $('#negara').html(options);
        $('#negara').selectpicker('refresh');
        #{if rekanan.ngr_id}
            $('#negara').selectpicker('val',${rekanan.ngr_id});
        #{/if}
    });
    #{if flash["rekanan.rkn_statcabang"] == 'P'} $("#pusat").hide(); #{/if}
    #{if flash["rekanan.rkn_statcabang"] == 'C'} $("#pusat").show(); #{/if}
</script>
#{/set}